Package org.eclipse.graphiti.internal.util

## Class AbstractTracer

- java.lang.Object
- - org.eclipse.graphiti.internal.util.AbstractTracer

Direct Known Subclasses:
  `T`, `T`

    public abstract class AbstractTracer
    extends java.lang.Object

Adds `entering` to allow trace entries with any kind of parameters when a specific method is entered and `exiting` to allow trace entries with any kind of parameters when a method is exited. To create an instance, use the static method `T.racer()` from the concrete sub classes `org.eclipse.graphiti.util.T` or `org.eclipse.graphiti.ui.T` depending on the package you want to trace.

### Constructor Summary

Constructors
`AbstractTracer​(java.lang.String location)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `debug()`
`void` `debug​(java.lang.String msg)`
`void` `debug​(java.lang.String msg, java.lang.Throwable throwable)`
`void` `entering​(java.lang.Class<?> clazz, java.lang.String signature, java.lang.Object... args)` Writes a trace entry that the specified method was entered.
`void` `error​(java.lang.String msg)`
`void` `error​(java.lang.String methodName, java.lang.String msg)`
`void` `error​(java.lang.String msg, java.lang.Throwable throwable)`
`void` `exiting​(java.lang.Class<?> clazz, java.lang.String signature)` Writes a trace entry that the specified method is about to be exited.
`void` `exiting​(java.lang.Class<?> clazz, java.lang.String signature, java.lang.Object res)` Writes a trace entry that the specified method is about to be exited.
`boolean` `getInfoAlwaysTrue()`
`boolean` `info()`
`void` `info​(java.lang.String msg)`
`void` `info​(java.lang.String className, java.lang.String methodName, java.lang.String msg)`
`void` `log​(int level, java.lang.String msg)`
`void` `log​(int level, java.lang.String msg, java.lang.Throwable throwable)`
`static void` `setDebugLogging​(boolean isDebugLogging)`
`void` `setInfoAlwaysTrue​(boolean b)`
`static void` `setInfoLogging​(boolean isInfoLogging)`
`void` `warning​(java.lang.String msg)`
`void` `warning​(java.lang.String methodName, java.lang.String msg)`
`void` `warning​(java.lang.String msg, java.lang.Throwable throwable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTracer

    public AbstractTracer​(java.lang.String location)

### Method Detail

#### setInfoLogging

    public static void setInfoLogging​(boolean isInfoLogging)

Parameters:
  `isInfoLogging` - the sIsInfoLogging to set

#### setDebugLogging

    public static void setDebugLogging​(boolean isDebugLogging)

Parameters:
  `isDebugLogging` - the sIsDebugLogging to set

#### entering

    public void entering​(java.lang.Class<?> clazz,
                         java.lang.String signature,
                         java.lang.Object... args)

Writes a trace entry that the specified method was entered.

Parameters:
  `clazz` - Class of the traced method
  `signature` - signature of the traced method
  `args` - Arguments as object references

#### exiting

    public void exiting​(java.lang.Class<?> clazz,
                        java.lang.String signature)

Writes a trace entry that the specified method is about to be exited.

Parameters:
  `clazz` - Class of the traced method
  `signature` - signature of the traced method

#### exiting

    public void exiting​(java.lang.Class<?> clazz,
                        java.lang.String signature,
                        java.lang.Object res)

Writes a trace entry that the specified method is about to be exited.

Parameters:
  `clazz` - Class of the traced method
  `signature` - signature of the traced method
  `res` - Result as object reference

#### debug

    public boolean debug()

#### debug

    public void debug​(java.lang.String msg)

#### debug

    public void debug​(java.lang.String msg,
                      java.lang.Throwable throwable)

#### error

    public void error​(java.lang.String methodName,
                      java.lang.String msg)

#### error

    public void error​(java.lang.String msg,
                      java.lang.Throwable throwable)

#### error

    public void error​(java.lang.String msg)

#### info

    public boolean info()

#### info

    public void info​(java.lang.String className,
                     java.lang.String methodName,
                     java.lang.String msg)

#### info

    public void info​(java.lang.String msg)

#### log

    public void log​(int level,
                    java.lang.String msg,
                    java.lang.Throwable throwable)

#### log

    public void log​(int level,
                    java.lang.String msg)

#### warning

    public void warning​(java.lang.String methodName,
                        java.lang.String msg)

#### warning

    public void warning​(java.lang.String msg)

#### warning

    public void warning​(java.lang.String msg,
                        java.lang.Throwable throwable)

#### getInfoAlwaysTrue

    public final boolean getInfoAlwaysTrue()

#### setInfoAlwaysTrue

    public final void setInfoAlwaysTrue​(boolean b)